IRPCApplicationTaskQueue.ReserveTasksForProcessing

View as Markdown

Server integration API / specialized write session

Reserves the next waiting task from each of the given queues for the caller to process.

ServiceApplication task queue MFiles.IRPCApplicationTaskQueue
gRPC method/MFiles.IRPCApplicationTaskQueue/ReserveTasksForProcessing
HTTP (mf-http-grpc)POST /grpc/v1/reserve-tasks-for-processing
RequestReserveTasksForProcessingRequest
ResponseReserveTasksForProcessingResponse
Book and levelServer integration API, specialized
Kindwrite
SessionRequired: the session ID from LogIn in the mfiles-session-id-bin metadata.
Idempotentno
Returns metadata structure versionno
Streamingnone (unary)

Remarks

Request: ReserveTasksForProcessingRequest

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
queue_id_collection[]repeated stringThe IDs of the queues to take tasks from.

Response: ReserveTasksForProcessingResponse

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
task_info_collection[]repeated ApplicationTaskInfoThe reserved tasks, at most one per queue.
task_info_collection[].queue_idstringID of the task queue this task belongs to.
task_info_collection[].task_idstringID of this task.
task_info_collection[].stateApplicationTaskStateCurrent state of this task.Values: APPLICATION_TASK_STATE_WAITING (0), APPLICATION_TASK_STATE_IN_PROGRESS (1), APPLICATION_TASK_STATE_COMPLETED (2), APPLICATION_TASK_STATE_FAILED (3), APPLICATION_TASK_STATE_CANCELED (4), APPLICATION_TASK_STATE_NONE (5).
task_info_collection[].progressstringCurrent task specific progress amount.
task_info_collection[].task_typestringDefines the task type.
task_info_collection[].task_databytesAny type specific task payload data.
task_info_collection[].activation_timestampgoogle.protobuf.TimestampThe earliest time this task can be reserved for processing.
task_info_collection[].latest_activity_timestampgoogle.protobuf.TimestampThe last modified timestamp.